#!/usr/bin/python -tt

import json

import jsonschema
import yaml

schema = json.loads(open('ansible-schema.json').read())

data1 = yaml.safe_load(open('ansible-test1.yml').read())
data2 = yaml.safe_load(open('ansible-test2.yml').read())
data3 = yaml.safe_load(open('ansible-test3.yml').read())

try:
    jsonschema.validate(data1, schema)
except:
    print('invalid list')
else:
    print('valid list')

try:
    jsonschema.validate(data2, schema)
except:
    print('invalid dict')
else:
    print('valid dict')

try:
    jsonschema.validate(data3, schema)
except:
    print('invalid string')
else:
    print('valid string')

